const require_DidCommProblemReportError = require('../../../errors/problem-reports/DidCommProblemReportError.js');
require('../../../errors/index.js');
const require_DidCommConnectionProblemReportMessage = require('../messages/DidCommConnectionProblemReportMessage.js');
require('../messages/index.js');

//#region ../didcomm/src/modules/connections/errors/ConnectionProblemReportError.ts
var ConnectionProblemReportError = class extends require_DidCommProblemReportError.DidCommProblemReportError {
	constructor(message, { problemCode }) {
		super(message, { problemCode });
		this.message = message;
		this.problemReport = new require_DidCommConnectionProblemReportMessage.DidCommConnectionProblemReportMessage({ description: {
			en: message,
			code: problemCode
		} });
	}
};

//#endregion
exports.ConnectionProblemReportError = ConnectionProblemReportError;